Subject: Re: [AVTCORE] Reminder: Re: WG last call on draft-ietf-avtcore-6222bis-01

From: Kevin Gross <[email-masked]>
Date: Mon, 1 Apr 2013 15:41:08 -0600

You are not alone. I have done several rounds of review and comment
resolution with the authors and have checked this version also. At this
point, all my issues have been addressed.

Kevin Gross
+1-303-447-0517
Media Network Consultant
AVA Networks - www.AVAnw.com <http://www.avanw.com/>, www.X192.org

On Thu, Mar 28, 2013 at 4:01 AM, Magnus Westerlund <
[email-masked]> wrote:

> WG,
>
> So far there has be no other reviews of this document than mine.
>
> Can someone please review this document?
>
> I hereby extended the WG last call with one week until the 7th of April.
>
> Cheers
>
> Magnus
>
> On 2013-03-12 20:04, Magnus Westerlund wrote:
> > WG,
> >
> > This is to announce the start of a WG last call on:
> >
> > Guidelines for Choosing RTP Control Protocol (RTCP) Canonical Names
> > (CNAMEs) to be published as a proposed standard.
> >
> > Document can be retrieved here:
> > https://datatracker.ietf.org/doc/draft-ietf-avtcore-6222bis/
> >
> > Please provide any feedback by the 31st of March.
> >
> > Regards
> >
> > Magnus Westerlund
> > WG chair
> >
> >
> > ----------------------------------------------------------------------
> > Multimedia Technologies, Ericsson Research EAB/TVM
> > ----------------------------------------------------------------------
> > Ericsson AB                | Phone  +46 10 7148287
> > Färögatan 6                | Mobile +46 73 0949079
> > SE-164 80 Stockholm, Sweden| mailto: [email-masked]
> > ----------------------------------------------------------------------
> >
> > _______________________________________________
> > Audio/Video Transport Core Maintenance
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/avt
> >
> >
>
>
> --
>
> Magnus Westerlund
>
> ----------------------------------------------------------------------
> Multimedia Technologies, Ericsson Research EAB/TVM
> ----------------------------------------------------------------------
> Ericsson AB                | Phone  +46 10 7148287
> Färögatan 6                | Mobile +46 73 0949079
> SE-164 80 Stockholm, Sweden| mailto: [email-masked]
> ----------------------------------------------------------------------
>
> _______________________________________________
> Audio/Video Transport Core Maintenance
> [email-masked]
> https://www.ietf.org/mailman/listinfo/avt
>

---

From: Magnus Westerlund <[email-masked]>
Date: Tue, 2 Apr 2013 10:13:49 +0200

Thanks Kevin,

To be clear towards everyone, we do need comments during WG last call.
If you have before reviewed the document, a notice of you having
verified any previous issues you raised being taken care of helps us
chairs determine that there consensus in the WG to request publication
of this document.

Cheers

Magnus

On 2013-04-01 23:41, Kevin Gross wrote:
> <http://www.X192.org>
> On Thu, Mar 28, 2013 at 4:01 AM, Magnus Westerlund
> <[email-masked] <mailto:[email-masked]>>
> wrote:
> 
>     WG,
> 
>     <tel:%2B46%2010%207148287>
>     <tel:%2B46%2073%200949079>
>     > SE-164 80 Stockholm, Sweden| mailto:
>     [email-masked] <mailto:[email-masked]>
>     > [email-masked] <mailto:[email-masked]>
>     <tel:%2B46%2010%207148287>
>     <tel:%2B46%2073%200949079>
>     <mailto:[email-masked]>
>     [email-masked] <mailto:[email-masked]>

-- 

Magnus Westerlund

---

From: Magnus Westerlund <[email-masked]>
Date: Wed, 10 Apr 2013 09:58:09 +0200

WG,

This WG last call has concluded. I think the level of reviews on this
document are very low. In the working group last call only Kevin Gross
and I have stated that they have reviewed the latest version.

Authors please address raised issues.

I will not consider this a successful WG last call unless at least one
additional person reviews it who are not an author. It is a very short
document and it also don't require massive amounts of additional
knowledge beyond basic RTP understanding to review.

Regards

Magnus Westerlund
WG chair

-- 

Magnus Westerlund

---

From: "Roni Even" <[email-masked]>
Date: Thu, 11 Apr 2013 12:26:55 +0300

Hi,
Sorry for being late.
I read the draft and in general it looks OK.
Two comments:

1. I think that the folowing text in section 5  "The algorithm described
below is intended to be used for locally  generated unique identifiers.  It
is based on simply generating a  cryptographically pseudorandom value
[RFC4086].  This value MUST be  at least 96 bits but MAY be longer." Is a
bit confusing since I expected to algorithm and not a reference (the first
sentence is from RFC6222). Maybe explain that the algorithm is in RFC4086,
and maybe point to it.

2. PRNG is not expanded anywhere in the document

Roni Even

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Magnus
Westerlund
Sent: 28 March, 2013 12:02 PM
To: [email-masked]
Subject: [AVTCORE] Reminder: Re: WG last call on
draft-ietf-avtcore-6222bis-01

WG,

Cheers

Magnus

On 2013-03-12 20:04, Magnus Westerlund wrote:
> Audio/Video Transport Core Maintenance [email-masked] 

-- 

Magnus Westerlund

---

From: Qin Wu <[email-masked]>
Date: Thu, 11 Apr 2013 11:04:14 +0000

Hi, Ali:
Here is my quick review to draft-ietf-avtcore-6222bis-01:
1. Section 1 and Section 3:
It is not clear how the section 1 is related to section 3?
Is this draft focusing on tacking linkability issue or deficiency issues described in section 3? 
What the linkability issue is? It is not obvious to a reader who are not familiar with this although this draft point to 
[I-D.rescorla-avtcore-random-cname] in the section 1?

2. PRNG needs to be expanded or point to a reference.

3. Section 6.1
The last sentence said:
"
A length of 96 bits allows on the order of
2^{40} RTCP CNAMEs globally before there is a large chance of
collision (there is about a 50% chance of one collision after 2^{48}
RTCP CNAMEs).
"
I am difficult to understand the rationale for this calculation since I don't know What "2^{40}" stand for?
How "40" is related to the length of 96 bits?

4.6.2
I can understand the first sentence, but I don't understand the second one. 
What kind of correlation need to be prevented? Why such correlation should be prevented?
Isn't this section focusing on talking about how to correlate sessions? What am I missing?

Regards!
-Qin
-----邮件原件-----
发件人: [email-masked] [mailto:[email-masked]] 代表 Magnus Westerlund
发送时间: 2013年4月10日 15:58
收件人: Magnus Westerlund
抄送: [email-masked]
主题: Re: [AVTCORE] Reminder: Re: WG last call on draft-ietf-avtcore-6222bis-01

WG,

Regards

Magnus Westerlund
WG chair

-- 

Magnus Westerlund

---

From: "Ali C. Begen (abegen)" <[email-masked]>
Date: Thu, 11 Apr 2013 11:43:35 +0000

-----Original Message-----
From: Roni Even <[email-masked]>
Date: Thursday, April 11, 2013 12:26 PM
To: Magnus Westerlund <[email-masked]>, "[email-masked]"
<[email-masked]>
Subject: Re: [AVTCORE] Reminder: Re: WG last
call	on	draft-ietf-avtcore-6222bis-01

>I read the draft and in general it looks OK.

Thanks.

>sentence is from RFC6222). Maybe explain that the algorithm is in RFC4086,

OLD:

   The algorithm described below is intended to be used for locally
   generated unique identifiers.  It is based on simply generating a
   cryptographically pseudorandom value [RFC4086].  This value MUST be
   at least 96 bits but MAY be longer.

NEW:

   To locally produce a unique identifier, we simply generate a
   cryptographically pseudorandom value as described in [RFC4086].  This
value MUST be
   at least 96 bits but MAY be longer.

I dont think we should explain how this generation is done in this draft.

>2. PRNG is not expanded anywhere in the document

I will fix this.

-acbegen

---

From: "Ali C. Begen (abegen)" <[email-masked]>
Date: Thu, 11 Apr 2013 11:52:15 +0000

-----Original Message-----
From: Qin Wu <[email-masked]>
Date: Thursday, April 11, 2013 2:04 PM
To: "[email-masked]" <[email-masked]>
Subject: [AVTCORE] 答复:  Reminder: Re: WG last call
on	draft-ietf-avtcore-6222bis-01

>It is not clear how the section 1 is related to section 3?

Section 1 is motivating the need for the bis document.

>Is this draft focusing on tacking linkability issue or deficiency issues

This draft is not an update on 6222, it replaces it so it has the text
from 6222 as well.

> 
>What the linkability issue is? It is not obvious to a reader who are not
>familiar with this although this draft point to

For the sake of RTCP CNAME, you dont need to know the details of
linkability concerns the rescorla draft discusses. It is simply there
since it was the reason why we started this bis work in the first place.

>2. PRNG needs to be expanded or point to a reference.

Will fix it.

>How "40" is related to the length of 96 bits?

This info comes from
http://tools.ietf.org/html/draft-rescorla-avtcore-random-cname-00 section
4. Eric might provide more info if you need.

>What kind of correlation need to be prevented? Why such correlation

If you keep using the same RTCP CNAME in all of your sessions, someone
might track you. In some cases, you might want that, in some cases you
won't. That is what this sections is saying you. Based on what you want,
choose a persistent vs per-session RTCP CNAME.

>Isn't this section focusing on talking about how to correlate sessions?

I hope it is clearer now.

Thanks,
-acbegen

---

From: "Roni Even" <[email-masked]>
Date: Thu, 11 Apr 2013 15:39:14 +0300

Hi Ali,
The new text is OK. I did not ask for the algorithm itself.
Roni

-----Original Message-----
From: Ali C. Begen (abegen) [mailto:[email-masked]] 
Sent: 11 April, 2013 2:44 PM
To: Roni Even; 'Magnus Westerlund'; [email-masked]
Subject: Re: [AVTCORE] Reminder: Re: WG last call on draft-ietf-avtcore-6222bis-01

-----Original Message-----
From: Roni Even <[email-masked]>
Date: Thursday, April 11, 2013 12:26 PM
To: Magnus Westerlund <[email-masked]>, "[email-masked]"
<[email-masked]>

Thanks.

>Two comments:
>
>1. I think that the folowing text in section 5  "The algorithm 
>described below is intended to be used for locally  generated unique identifiers.
>It
>[RFC4086].  This value MUST be  at least 96 bits but MAY be longer." Is 
>a bit confusing since I expected to algorithm and not a reference (the 
>first sentence is from RFC6222). Maybe explain that the algorithm is in 
>RFC4086, and maybe point to it.

OLD:

NEW:

   To locally produce a unique identifier, we simply generate a
   cryptographically pseudorandom value as described in [RFC4086].  This value MUST be
   at least 96 bits but MAY be longer.

I will fix this.

-acbegen

>From: [email-masked] [mailto:[email-masked]] On Behalf Of 
>Magnus Westerlund
>> ---------------------------------------------------------------------
>> - Multimedia Technologies, Ericsson Research EAB/TVM

---

From: Qin Wu <[email-masked]>
Date: Fri, 12 Apr 2013 03:53:56 +0000

Thanks, you clear my comments.

Regards!
-Qin
-----邮件原件-----
发件人: [email-masked] [mailto:[email-masked]] 代表 Ali C. Begen (abegen)
发送时间: 2013年4月11日 19:52
收件人: Qin Wu; [email-masked]
主题: Re: [AVTCORE] 答复: Reminder: Re: WG last call on draft-ietf-avtcore-6222bis-01

-----Original Message-----
From: Qin Wu <[email-masked]>
Date: Thursday, April 11, 2013 2:04 PM
To: "[email-masked]" <[email-masked]>
Subject: [AVTCORE] 答复:  Reminder: Re: WG last call

Will fix it.

This info comes from

Thanks,
-acbegen